SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[UpdateRasaNluMigration]
(
    @VCC					VARCHAR(50) = NULL,
    @OldAppId				VARCHAR(50) = NULL,
	@NewAppId				VARCHAR(50) = NULL,
    @UseRasaApi				BIT = NULL
)
AS
BEGIN
    SET NOCOUNT ON
	DECLARE @CognitiveEngine varchar(50)
	IF (@UseRasaApi	 = 1)
	SET @CognitiveEngine  = 'RASAAPI'
	ELSE
	SET @CognitiveEngine  = 'RASA'

    UPDATE [dbo].[NLU] 
		SET AppId = @NewAppId,
		CognitiveEngine = @CognitiveEngine,
		[NeedPublish] = 1
	WHERE [VCC] = @VCC 
		AND [AppId] = @OldAppId

	UPDATE [dbo].[Intent]
		SET AppId = @NewAppId
	WHERE [VCC] = @VCC 
		AND [AppId] = @OldAppId

	UPDATE [dbo].[Utterance]
		SET AppId = @NewAppId
	WHERE [VCC] = @VCC 
		AND [AppId] = @OldAppId

	UPDATE [dbo].[Entity]
		SET AppId = @NewAppId
	WHERE [VCC] = @VCC 
		AND [AppId] = @OldAppId


    SELECT 1 AS result

    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
